const cmd = require('../src/util/cmd.js')
const shell = require('shelljs')
const path = require('path')
const fs = require('fs')

// 判断是否全局安装Yarn，没有就安装一个latest版本
if (!shell.which('yarn')) {
    cmd.exec('npm i yarn -g --registry=https://registry.npm.taobao.org')
}

// 设置源
cmd.exec(`yarn config set registry https://registry.npm.taobao.org -g`)
cmd.exec(`yarn config set sass_binary_site https://npm.taobao.org/mirrors/node-sass/ -g`)

// 修改husky precommit脚本
let precommitFilePath = path.join(__dirname, `../../../.git/hooks/pre-commit`)
let precommitScript = ''

if (shell.test('-f', precommitFilePath)) {
    // cmd.error(`找不到文件：${precommitFilePath}`)
    precommitScript = fs.readFileSync(precommitFilePath, 'utf-8')

    precommitScript = precommitScript.replace('has_hook_script precommit || exit 0', '')
    precommitScript = precommitScript.replace('npm run -s precommit ||', 'yarn lint -- -C ||')
    fs.writeFileSync(precommitFilePath, precommitScript)
}
