#!/usr/bin/env node

// const shell = require('shelljs')
const cmd = require('./util/cmd.js')
const program = require('commander')
const semver = require('semver')
const _DIR_ = process.cwd()
const packageInfo = require(`${_DIR_}/package.json`)

let type = ''
let version = packageInfo.version

program
    .arguments('[version...]')
    .option('-e, --envs <items>', '要打包的环境数组', (val) => {
        if (val) {
            return val.split(',')
        } else {
            return ['dev', 'pd']
        }
    })
    .action((val) => {
        type = val
    })
    .parse(process.argv)

program.envs = program.envs || ['dev', 'pd']

cmd.exec('yarn dm update')
cmd.exec('yarn dm lint')
cmd.exec('yarn dm tag fetch')

// 生成版本号
if (semver.valid(type[0])) {
    version = type[0]
} else {
    version = semver.inc(version, type[0], type[1])
}
cmd.exec(`npm --no-git-tag-version version ${version}`)
cmd.exec(`yarn dm build ${program.envs.join(' ')}`)

cmd.exec('git add -A')
cmd.exec(`git commit -m '${version}' -n`)
cmd.exec(`git tag v${version}`)
cmd.exec(`git push origin v${version}`)

let branch = cmd.exec('git symbolic-ref --short -q HEAD')
cmd.exec(`git push origin ${branch}`)
