#!/usr/bin/env node

// const shell = require('shelljs')
const cmd = require('./util/cmd.js')
// const program = require('commander')
const _DIR = process.cwd()
const packageInfo = require(`${_DIR}/package.json`)

let command1 = `npm outdated --json` // 检查需要更新的包
let command2 = `yarn upgrade` // 更新包
let dep = Object.assign({}, packageInfo.devDependencies, packageInfo.dependencies)
let updatePkg = [] // 要更新的包

// 获取过期的包json
let updateJson = JSON.parse(cmd.exec(command1, {
    silent: true
}) || '{}')
for (let i in updateJson) {
    let version = updateJson[i].wanted
    if (version === updateJson[i].current) {
        // is update to date
    } else if (version === 'git') {
        updatePkg.push(i)
    } else {
        updatePkg.push(`${i}@${dep[i]}`)
    }
}

// 获取依赖中以git+ssh方式引入的包
for (let i in dep) {
    if (dep[i].indexOf('git+ssh') > -1) {
        updatePkg.push(i)
    }
}

updatePkg = Array.from(new Set(updatePkg)) // 数组去重

// 如果都为空则提示全部更新完毕
if (!updatePkg.length) {
    process.exit(0)
}

console.log(`${command2} ${updatePkg.join(' ')}`)
cmd.exec(`${command2} ${updatePkg.join(' ')}`)
